Enrich cell
curl --request POST \
--url https://www.dench.com/api/v1/crm/enrich/cell \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"objectName": "string",
"entryId": "string",
"fieldName": "string"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({objectName: 'string', entryId: 'string', fieldName: 'string'})
};
fetch('https://www.dench.com/api/v1/crm/enrich/cell', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/crm/enrich/cell"
payload = {
"objectName": "string",
"entryId": "string",
"fieldName": "string"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"enqueued": true,
"provider": "auto",
"hint": "Enrichment queued; the cell fills in once the provider responds."
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}crm
Enrich cell
Request enrichment for one CRM cell.
POST
/
crm
/
enrich
/
cell
Enrich cell
curl --request POST \
--url https://www.dench.com/api/v1/crm/enrich/cell \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"objectName": "string",
"entryId": "string",
"fieldName": "string"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({objectName: 'string', entryId: 'string', fieldName: 'string'})
};
fetch('https://www.dench.com/api/v1/crm/enrich/cell', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/crm/enrich/cell"
payload = {
"objectName": "string",
"entryId": "string",
"fieldName": "string"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"enqueued": true,
"provider": "auto",
"hint": "Enrichment queued; the cell fills in once the provider responds."
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
DenchApiKeyAgentSession
Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.
Body
application/json
⌘I